/**
 * @file service_server.h
 *
 * @brief Service - Server (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_server.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef SERVICE_SERVER_H
#define SERVICE_SERVER_H

#include "../types.h"
#include "service_types.h"

void handle_SERVICE_CLIENT_DATA_REQUEST(const SP_packet_header_t* header, const SP_SERVICE_CLIENT_DATA_REQUEST_packet_t* request);
void handle_SERVICE_CLIENT_DATA_UPDATE(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
void handle_SERVICE_CLIENT_STREAM_REQUEST(const SP_packet_header_t* header, const SP_SERVICE_CLIENT_STREAM_REQUEST_packet_t* request);

#endif	// SERVICE_SERVER_H
