/**
 * @file interface_internal.h
 *
 * @brief Service Placement interface (internal header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: interface_internal.h 2563 2008-02-19 14:23:37Z wittenbu $
 */

#ifndef INTERFACE_INTERNAL_H
#define INTERFACE_INTERNAL_H

#include "types.h"

void SP_handle_packet(const SP_packet_header_t* header, const SP_packet_payload_t* payload, bool maybe_duplicate);
size_t SP_max_payload_size();
void SP_printf(const char *format, ...);

#endif	// INTERFACE_INTERNAL_H
